Page MenuHomePhabricator

Adjust help dialogue to new sliding mechanism
Closed, ResolvedPublic

Description

Motivation
In order to improve the usability of the RevisionSlider, we did some UI changes ( see T160410 ). These changes need to be reflected in the help dialogue and on the extension manual page.

Task
In the help dialogue of the RevisionSlider...
change the 3rd slide
Image:


Text:
To compare certain revisions, select the revisions using the yellow and blue knobs.

The blue knob controls the newer revision, the yellow knob maps to the older revision.

Move the knobs by drag and drop or clicking on the slider line.

change the 4th slide
Image:


Text:
Stays the same

Extension Manual
Please change the same things in the extension manual

N.B.: The help dialogue changes should be deployed as part of T163685

Event Timeline

Restricted Application added a project: Design. · View Herald TranscriptApr 12 2017, 7:53 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lea_WMDE renamed this task from Adjust help dialoge to new sliding mechanism to Adjust help dialogue to new sliding mechanism.Apr 24 2017, 1:12 PM
Lea_WMDE triaged this task as High priority.
Lea_WMDE added a project: WMDE-QWERTY-Team.
Lea_WMDE updated the task description. (Show Details)
Tobi_WMDE_SW moved this task from Proposed to Todo on the WMDE-QWERTY-Team board.Apr 25 2017, 3:34 PM

Change 350809 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/RevisionSlider@master] Update help dialogue to explain new sliding mechanism

https://gerrit.wikimedia.org/r/350809

Lea_WMDE moved this task from Incoming to Doing on the Revision-Slider board.May 8 2017, 12:20 PM

Change 350809 merged by jenkins-bot:
[mediawiki/extensions/RevisionSlider@master] Update help dialogue to explain new sliding mechanism

https://gerrit.wikimedia.org/r/350809

Addshore closed this task as Resolved.May 11 2017, 12:54 PM
Tobi_WMDE_SW moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Jun 6 2017, 2:34 PM